Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## it.svimservice.nsisr.web.ws.proiezioneagenda.vo.elencopianoattivitaerogatore
Class ElencoPianoAttivitaErogatoreRequest

    java.lang.Object
      it.svimservice.nsisr.web.ws.proiezioneagenda.vo.elencopianoattivitaerogatore.ElencoPianoAttivitaErogatoreRequest

    public class ElencoPianoAttivitaErogatoreRequest

extends java.lang.Object

Criteri di ricerca del piano delle attività di un erogatore di prestazioni domiciliari:

- Codice nazionale ASL obbligatorio.
- Distretto obbligatorio.
- Codice erogatoreobbligatorio.
- Giorno obbligatorio.

Author:
  GrecoG

Field Summary
`private java.lang.String` | `codDistretto` Numero distretto socio sanitario.
`private java.lang.String` | `codErogatore` Codice erogatore prestazioni domiciliari.
`private java.lang.String` | `codiceNazionale` Codice nazionale asl
`private java.lang.String` | `data` Data di riferimento.

Constructor Summary
`ElencoPianoAttivitaErogatoreRequest()`

Method Summary
`java.lang.String` | `getCodDistretto()`
`java.lang.String` | `getCodErogatore()`
`java.lang.String` | `getCodiceNazionale()`
`java.lang.String` | `getData()`
`void` | `setCodDistretto(java.lang.String codDistretto)`
`void` | `setCodErogatore(java.lang.String codErogatore)`
`void` | `setCodiceNazionale(java.lang.String codiceNazionale)`
`void` | `setData(java.lang.String data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### codiceNazionale

    @Facets(pattern="[0-9]+",
            maxLength=6L)
    private java.lang.String codiceNazionale

  Codice nazionale asl

### codDistretto

    @Facets(pattern="[0-9]+",
            maxLength=2L)
    private java.lang.String codDistretto

  Numero distretto socio sanitario.

### data

    @Facets(pattern="(0[1-9]|[12][0-9]|3[01])/(0[1-9]|1[012])/[0-9]{4}",
            length=10L)
    private java.lang.String data

  Data di riferimento.

### codErogatore

    @Facets(pattern="[0-9]+",
            maxLength=9L)
    private java.lang.String codErogatore

  Codice erogatore prestazioni domiciliari.

Constructor Detail

### ElencoPianoAttivitaErogatoreRequest

    public ElencoPianoAttivitaErogatoreRequest()

Method Detail

### getCodiceNazionale

    public java.lang.String getCodiceNazionale()

### setCodiceNazionale

    public void setCodiceNazionale(java.lang.String codiceNazionale)

### getCodDistretto

    public java.lang.String getCodDistretto()

### setCodDistretto

    public void setCodDistretto(java.lang.String codDistretto)

### getData

    public java.lang.String getData()

### setData

    public void setData(java.lang.String data)

### getCodErogatore

    public java.lang.String getCodErogatore()

### setCodErogatore

    public void setCodErogatore(java.lang.String codErogatore)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD